/* File: StatusValues.java
 * Contains: Interface that defines some useful constants
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: March 1998
 * Updated: Tue Sep 12 13:49:27 2000 by Jeff Dalton
 * Copyright: (c) 1998, 2000, AIAI, University of Edinburgh
 */

package ix.ip2;

import ix.util.lisp.Symbol;

// Should there be two interfaces, ProcessStatusValues and
// ProductStatusValues?  Or maybe the "Values" part should be 
// dropped?

// Should the process status names be be STATUS_ or PROCESS_?

/**
 * Process action and product status values.
 *
 * @see ix.util.ViewColor
 */

public interface StatusValues {

    /* Process */

    public static final int
        STATUS_BLANK = 0,
        STATUS_COMPLETE = 1,
        STATUS_EXECUTING = 2,
        STATUS_POSSIBLE = 3,
        STATUS_IMPOSSIBLE = 4,
        STATUS_NA = 5;

    /* Product */

    public static final int
        PRODUCT_BLANK = 0,
        PRODUCT_COMPLETE = 1,
        PRODUCT_DRAFT = 2;

    /* Product Symbols */

    public final Symbol
	K_COMPLETE = Symbol.intern(":complete"),
	K_DRAFT    = Symbol.intern(":draft");

}
