/* File: TrivialWatcherListener.java
 * Contains: A very simple WatcherListener class for debugging
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: February 1998
 * Updated: Fri Jun 16 14:19:42 2000 by Jeff Dalton
 * Copyright: (c) 1998, 2000, AIAI, University of Edinburgh
 */

package ix.ip2;


/** 
 * An implementation of WatcherListener that merely prints what's
 * happening.
 */

public class TrivialWatcherListener implements WatcherListener {

    public void startAction(String action, int coa) {
	note("startAction(" + action + ", " + coa + ")");
    }

    public void startAction(String action, int coa, int level) {
	note("startAction(" + action + ", " + coa + ", " + level + ")");
    }

    public void finishAction(String action, int coa) {
	note("finishAction(" + action + ", " + coa + ")");
    }

    public void finishAction(String action, int coa, int level) {
	note("finishAction(" + action + ", " + coa + ", " + level + ")");
    }

    protected void note(String message) {
	System.out.println(message);
    }

}
