/* File: ViewColor.java
 * Contains: ACP3 Viewer Colors, etc.
 * Author: Austin Tate <a.tate@ed.ac.uk>
 * Created: Thu Jan 15 16:39:25 1998
 * Updated: Thu Sep  7 13:01:39 2000 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package ix.util;

import java.awt.*;

public class ViewColor {

    public static final Color statusColor[] = {
        new Color(0xFFFFFF),  // white
        new Color(0x99FFFF),  // blue
        new Color(0x99FF99),  // green
        new Color(0xFFCC66),  // orange
        new Color(0xFF6699),  // red
        new Color(0xCCCCCC),  // light gray
        new Color(0x999999)}; // dark gray

    public static final String statusName[] = {
        "", 
        "Complete",
        "Executing",
        "Possible",
        "Impossible",
        "N/A",
        ""};

    public static final int STATUS_BLANK = 0,
                            STATUS_COMPLETE = 1,
                            STATUS_EXECUTING = 2,
                            STATUS_POSSIBLE = 3,
                            STATUS_IMPOSSIBLE = 4,
                            STATUS_NA = 5,
                            STATUS_TBD = 6;
                            
    public static final Color backgroundColor = new Color(0xFFFFFF);
                             
    public static void ViewColor () {
    }

    public static int statusValue(String name) {
	for (int i = 0; i < statusName.length; i++)
	    if (statusName[i].equalsIgnoreCase(name))
		return i;
	Debug.warn("Unknown status name: \"" + name + "\"");
	return -1;
    }

}
